# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

- org.apache.cxf.Bus
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_BUS_ID`
  `"cxf"`
- org.apache.cxf.BusFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BUS_FACTORY_PROPERTY_NAME`
  `"org.apache.cxf.bus.factory"`
  `public static final String`
  `DEFAULT_BUS_FACTORY`
  `"org.apache.cxf.bus.CXFBusFactory"`

- org.apache.cxf.attachment.AttachmentDeserializer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ATTACHMENT_DIRECTORY`
  `"attachment-directory"`
  `public static final String`
  `ATTACHMENT_MAX_COUNT`
  `"attachment-max-count"`
  `public static final String`
  `ATTACHMENT_MAX_HEADER_SIZE`
  `"attachment-max-header-size"`
  `public static final String`
  `ATTACHMENT_MAX_SIZE`
  `"attachment-max-size"`
  `public static final String`
  `ATTACHMENT_MEMORY_THRESHOLD`
  `"attachment-memory-threshold"`
  `public static final int`
  `THRESHOLD`
  `102400`
- org.apache.cxf.attachment.AttachmentUtil
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ATTACHMENT_CONTENT_TYPE`
  `"org.apache.cxf.attachment.content-type"`
  `public static final String`
  `ATTACHMENT_XOP_FOLLOW_URLS_PROPERTY`
  `"org.apache.cxf.attachment.xop.follow.urls"`
  `public static final String`
  `BODY_ATTACHMENT_ID`
  `"root.message@cxf.apache.org"`

- org.apache.cxf.bus.extension.ExtensionManagerBus
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BUS_PROPERTY_NAME`
  `"bus"`
- org.apache.cxf.bus.extension.ExtensionManagerImpl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ACTIVATION_NAMESPACES_PROPERTY_NAME`
  `"activationNamespaces"`
  `public static final String`
  `ACTIVATION_NAMESPACES_SETTER_METHOD_NAME`
  `"setActivationNamespaces"`
  `public static final String`
  `BUS_EXTENSION_RESOURCE`
  `"META-INF/cxf/bus-extensions.txt"`
  `public static final String`
  `EXTENSIONMANAGER_PROPERTY_NAME`
  `"extensionManager"`

- org.apache.cxf.bus.managers.WorkQueueManagerImpl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_QUEUE_NAME`
  `"default"`
  `public static final String`
  `DEFAULT_WORKQUEUE_BEAN_NAME`
  `"cxf.default.workqueue"`

- org.apache.cxf.catalog.OASISCatalogManager
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CATALOG_DEBUG_KEY`
  `"OASISCatalogManager.catalog.debug.level"`
  `public static final String`
  `DEFAULT_CATALOG_NAME`
  `"META-INF/jax-ws-catalog.xml"`

- org.apache.cxf.common.jaxb.JAXBUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JAXB_URI`
  `"https://jakarta.ee/xml/ns/jaxb"`

- org.apache.cxf.common.logging.RegexLoggingFilter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_REPLACEMENT`
  `"*****"`

- org.apache.cxf.common.util.ClassHelper
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `USE_DEFAULT_CLASS_HELPER`
  `"org.apache.cxf.useDefaultClassHelpers"`
- org.apache.cxf.common.util.ClasspathScanner
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ALL_CLASS_FILES`
  `"/**/*.class"`
  `public static final String`
  `ALL_FILES`
  `"/**/*"`
  `public static final String`
  `CLASSPATH_URL_SCHEME`
  `"classpath:"`
  `public static final String`
  `WILDCARD`
  `"*"`
- org.apache.cxf.common.util.MessageDigestInputStream
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ALGO_SHA_256`
  `"SHA-256"`

- org.apache.cxf.common.xmlschema.XmlSchemaUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `XSI_NIL`
  `"xsi:nil=\'true\'"`

- org.apache.cxf.configuration.Configurer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_USER_CFG_FILE`
  `"cxf.xml"`
  `public static final String`
  `USER_CFG_FILE_PROPERTY_NAME`
  `"cxf.config.file"`
  `public static final String`
  `USER_CFG_FILE_PROPERTY_URL`
  `"cxf.config.file.url"`

- org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `WIRE_BUS_HANDLER`
  `"org.apache.cxf.bus.spring.BusWiringBeanFactoryPostProcessor"`

- org.apache.cxf.databinding.source.SourceDataBinding
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NOT_USE_MSV_SCHEMA_VALIDATOR`
  `"not-use-msv-schema-validator"`
  `public static final String`
  `PREFERRED_FORMAT`
  `"source-preferred-format"`

- org.apache.cxf.endpoint.AbstractConduitSelector
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CONDUIT_COMPARE_FULL_URL`
  `"org.apache.cxf.ConduitSelector.compareFullUrl"`
  `protected static final String`
  `KEEP_CONDUIT_ALIVE`
  `"KeepConduitAlive"`
- org.apache.cxf.endpoint.Client
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `KEEP_CONDUIT_ALIVE`
  `"KeepConduitAlive"`
  `public static final String`
  `REQUEST_CONTEXT`
  `"RequestContext"`
  `public static final String`
  `RESPONSE_CONTEXT`
  `"ResponseContext"`
- org.apache.cxf.endpoint.ClientImpl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FINISHED`
  `"exchange.finished"`
  `public static final String`
  `SYNC_TIMEOUT`
  `"cxf.synchronous.timeout"`
  `public static final String`
  `THREAD_LOCAL_REQUEST_CONTEXT`
  `"thread.local.request.context"`
- org.apache.cxf.endpoint.ManagedEndpoint
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ENDPOINT_NAME`
  `"managed.endpoint.name"`
  `public static final String`
  `INSTANCE_ID`
  `"managed.instance.id"`
  `public static final String`
  `SERVICE_NAME`
  `"managed.service.name"`

- org.apache.cxf.helpers.HttpHeaderHelper
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ACCEPT_ENCODING`
  `"Accept-Encoding"`
  `public static final String`
  `AUTHORIZATION`
  `"Authorization"`
  `public static final String`
  `CHUNKED`
  `"chunked"`
  `public static final String`
  `CLOSE`
  `"close"`
  `public static final String`
  `CONNECTION`
  `"Connection"`
  `public static final String`
  `CONTENT_ENCODING`
  `"Content-Encoding"`
  `public static final String`
  `CONTENT_ID`
  `"Content-ID"`
  `public static final String`
  `CONTENT_LENGTH`
  `"Content-Length"`
  `public static final String`
  `CONTENT_TRANSFER_ENCODING`
  `"Content-Transfer-Encoding"`
  `public static final String`
  `CONTENT_TYPE`
  `"Content-Type"`
  `public static final String`
  `COOKIE`
  `"Cookie"`
  `public static final String`
  `TRANSFER_ENCODING`
  `"Transfer-Encoding"`
- org.apache.cxf.helpers.IOUtils
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BUFFER_SIZE`
  `4096`

- org.apache.cxf.interceptor.AbstractLoggingInterceptor
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `BINARY_CONTENT_MESSAGE`
  `"--- Binary Content ---"`
  `public static final int`
  `DEFAULT_LIMIT`
  `49152`
  `protected static final String`
  `MULTIPART_CONTENT_MESSAGE`
  `"--- Multipart Content ---"`
- org.apache.cxf.interceptor.AbstractOutDatabindingInterceptor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DISABLE_OUTPUTSTREAM_OPTIMIZATION`
  `"disable.outputstream.optimization"`
  `public static final String`
  `OUT_BUFFERING`
  `"org.apache.cxf.output.buffering"`
- org.apache.cxf.interceptor.AttachmentOutInterceptor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ATTACHMENT_OUT_CHECKED`
  `"attachment.out.checked"`
  `public static final String`
  `WRITE_ATTACHMENTS`
  `"write.attachments"`
  `public static final String`
  `WRITE_OPTIONAL_TYPE_PARAMETERS`
  `"write.optional.type.parameters"`
- org.apache.cxf.interceptor.ClientFaultConverter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DISABLE_FAULT_MAPPING`
  `"disable-fault-mapping"`
- org.apache.cxf.interceptor.Fault
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `STACKTRACE`
  `"stackTrace"`
  `public static final String`
  `STACKTRACE_NAMESPACE`
  `"http://cxf.apache.org/fault"`
- org.apache.cxf.interceptor.FIStaxInInterceptor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FI_GET_SUPPORTED`
  `"org.apache.cxf.fastinfoset.get.supported"`
- org.apache.cxf.interceptor.FIStaxOutInterceptor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FI_ENABLED`
  `"org.apache.cxf.fastinfoset.enabled"`
- org.apache.cxf.interceptor.InterceptorChain
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `STARTING_AFTER_INTERCEPTOR_ID`
  `"starting_after_interceptor_id"`
  `public static final String`
  `STARTING_AT_INTERCEPTOR_ID`
  `"starting_at_interceptor_id"`
- org.apache.cxf.interceptor.StaxOutInterceptor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FORCE_START_DOCUMENT`
  `"org.apache.cxf.stax.force-start-document"`

- org.apache.cxf.interceptor.security.JAASAuthenticationFeature
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ID`
  `"jaas"`
- org.apache.cxf.interceptor.security.JAASLoginInterceptor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ROLE_CLASSIFIER_CLASS_NAME`
  `"classname"`
  `public static final String`
  `ROLE_CLASSIFIER_PREFIX`
  `"prefix"`

- org.apache.cxf.io.CachedConstants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CIPHER_TRANSFORMATION_BUS_PROP`
  `"bus.io.CachedOutputStream.CipherTransformation"`
  `public static final String`
  `CIPHER_TRANSFORMATION_SYS_PROP`
  `"org.apache.cxf.io.CachedOutputStream.CipherTransformation"`
  `public static final String`
  `CLEANER_CLEAN_ON_SHUTDOWN_BUS_PROP`
  `"bus.io.CachedOutputStreamCleaner.CleanOnShutdown"`
  `public static final String`
  `CLEANER_DELAY_BUS_PROP`
  `"bus.io.CachedOutputStreamCleaner.Delay"`
  `public static final String`
  `CLEANER_STRATEGY_BUS_PROP`
  `"bus.io.CachedOutputStreamCleaner.Strategy"`
  `public static final String`
  `MAX_SIZE_BUS_PROP`
  `"bus.io.CachedOutputStream.MaxSize"`
  `public static final String`
  `MAX_SIZE_SYS_PROP`
  `"org.apache.cxf.io.CachedOutputStream.MaxSize"`
  `public static final String`
  `OUTPUT_DIRECTORY_BUS_PROP`
  `"bus.io.CachedOutputStream.OutputDirectory"`
  `public static final String`
  `OUTPUT_DIRECTORY_SYS_PROP`
  `"org.apache.cxf.io.CachedOutputStream.OutputDirectory"`
  `public static final String`
  `THRESHOLD_BUS_PROP`
  `"bus.io.CachedOutputStream.Threshold"`
  `public static final String`
  `THRESHOLD_SYS_PROP`
  `"org.apache.cxf.io.CachedOutputStream.Threshold"`

- org.apache.cxf.management.ManagementConstants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BUS_ID_PROP`
  `"bus.id"`
  `public static final String`
  `DEFAULT_DOMAIN_NAME`
  `"org.apache.cxf"`
  `public static final String`
  `DESCRIPTION_PROP`
  `"description"`
  `public static final String`
  `INSTANCE_ID_PROP`
  `"instance.id"`
  `public static final String`
  `NAME_PROP`
  `"name"`
  `public static final String`
  `OPERATION_NAME_PROP`
  `"operation"`
  `public static final String`
  `PORT_NAME_PROP`
  `"port"`
  `public static final String`
  `SERVICE_NAME_PROP`
  `"service"`
  `public static final String`
  `TYPE_PROP`
  `"type"`

- org.apache.cxf.message.Message
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ACCEPT_CONTENT_TYPE`
  `"Accept"`
  `public static final String`
  `ASYNC_POST_RESPONSE_DISPATCH`
  `"org.apache.cxf.async.post.response.dispatch"`
  `public static final String`
  `CONNECTION_TIMEOUT`
  `"jakarta.xml.ws.client.connectionTimeout"`
  `public static final String`
  `CONTENT_TYPE`
  `"Content-Type"`
  `public static final String`
  `DECOUPLED_CHANNEL_MESSAGE`
  `"decoupled.channel.message"`
  `public static final String`
  `EMPTY_PARTIAL_RESPONSE_MESSAGE`
  `"org.apache.cxf.partial.response.empty"`
  `public static final String`
  `EXCEPTION_CAUSE_SUFFIX`
  `"#*#"`
  `public static final String`
  `EXCEPTION_MESSAGE_CAUSE_ENABLED`
  `"exceptionMessageCauseEnabled"`
  `public static final String`
  `FAULT_STACKTRACE_ENABLED`
  `"faultStackTraceEnabled"`
  `public static final String`
  `HTTP_REQUEST_METHOD`
  `"org.apache.cxf.request.method"`
  `public static final String`
  `INBOUND_MESSAGE`
  `"org.apache.cxf.message.inbound"`
  `public static final String`
  `INVOCATION_CONTEXT`
  `"org.apache.cxf.invocation.context"`
  `public static final String`
  `MIME_HEADERS`
  `"org.apache.cxf.mime.headers"`
  `public static final String`
  `MTOM_ENABLED`
  `"mtom-enabled"`
  `public static final String`
  `MTOM_THRESHOLD`
  `"mtom-threshold"`
  `public static final String`
  `ONE_WAY_REQUEST`
  `"OnewayRequest"`
  `public static final String`
  `PARTIAL_ATTACHMENTS_MESSAGE`
  `"org.apache.cxf.partial.attachments"`
  `public static final String`
  `PARTIAL_RESPONSE_MESSAGE`
  `"org.apache.cxf.partial.response"`
  `public static final String`
  `PROCESS_202_RESPONSE_ONEWAY_OR_PARTIAL`
  `"org.apache.cxf.transport.process202Response"`
  `public static final String`
  `PROCESS_ONEWAY_RESPONSE`
  `"org.apache.cxf.transport.processOneWayResponse"`
  `public static final String`
  `PROPAGATE_202_RESPONSE_ONEWAY_OR_PARTIAL`
  `"org.apache.cxf.transport.propagate202Response"`
  `public static final String`
  `RECEIVE_TIMEOUT`
  `"jakarta.xml.ws.client.receiveTimeout"`
  `public static final String`
  `REQUEST_URI`
  `"org.apache.cxf.request.uri"`
  `public static final String`
  `REQUEST_URL`
  `"org.apache.cxf.request.url"`
  `public static final String`
  `REQUESTOR_ROLE`
  `"org.apache.cxf.client"`
  `public static final String`
  `REST_MESSAGE`
  `"org.apache.cxf.rest.message"`
  `public static final String`
  `ROBUST_ONEWAY`
  `"org.apache.cxf.oneway.robust"`
  `public static final String`
  `SCHEMA_VALIDATION_ENABLED`
  `"schema-validation-enabled"`
  `public static final String`
  `SCHEMA_VALIDATION_TYPE`
  `"schema-validation-type"`
  `public static final String`
  `SERVICE_OBJECT`
  `"org.apache.cxf.service.object"`
  `public static final String`
  `THREAD_CONTEXT_SWITCHED`
  `"thread.context.switched"`
  `public static final String`
  `TRANSPORT`
  `"org.apache.cxf.transport"`
  `public static final String`
  `WSDL_DESCRIPTION`
  `"jakarta.xml.ws.wsdl.description"`
  `public static final String`
  `WSDL_INTERFACE`
  `"jakarta.xml.ws.wsdl.interface"`
  `public static final String`
  `WSDL_OPERATION`
  `"jakarta.xml.ws.wsdl.operation"`
  `public static final String`
  `WSDL_PORT`
  `"jakarta.xml.ws.wsdl.port"`
  `public static final String`
  `WSDL_SERVICE`
  `"jakarta.xml.ws.wsdl.service"`

- org.apache.cxf.phase.Phase
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `INVOKE`
  `"invoke"`
  `public static final String`
  `MARSHAL`
  `"marshal"`
  `public static final String`
  `MARSHAL_ENDING`
  `"marshal-ending"`
  `public static final String`
  `POST_INVOKE`
  `"post-invoke"`
  `public static final String`
  `POST_LOGICAL`
  `"post-logical"`
  `public static final String`
  `POST_LOGICAL_ENDING`
  `"post-logical-ending"`
  `public static final String`
  `POST_MARSHAL`
  `"post-marshal"`
  `public static final String`
  `POST_PROTOCOL`
  `"post-protocol"`
  `public static final String`
  `POST_PROTOCOL_ENDING`
  `"post-protocol-ending"`
  `public static final String`
  `POST_STREAM`
  `"post-stream"`
  `public static final String`
  `POST_STREAM_ENDING`
  `"post-stream-ending"`
  `public static final String`
  `POST_UNMARSHAL`
  `"post-unmarshal"`
  `public static final String`
  `PRE_INVOKE`
  `"pre-invoke"`
  `public static final String`
  `PRE_LOGICAL`
  `"pre-logical"`
  `public static final String`
  `PRE_LOGICAL_ENDING`
  `"pre-logical-ending"`
  `public static final String`
  `PRE_MARSHAL`
  `"pre-marshal"`
  `public static final String`
  `PRE_PROTOCOL`
  `"pre-protocol"`
  `public static final String`
  `PRE_PROTOCOL_ENDING`
  `"pre-protocol-ending"`
  `public static final String`
  `PRE_PROTOCOL_FRONTEND`
  `"pre-protocol-frontend"`
  `public static final String`
  `PRE_STREAM`
  `"pre-stream"`
  `public static final String`
  `PRE_STREAM_ENDING`
  `"pre-stream-ending"`
  `public static final String`
  `PRE_UNMARSHAL`
  `"pre-unmarshal"`
  `public static final String`
  `PREPARE_SEND`
  `"prepare-send"`
  `public static final String`
  `PREPARE_SEND_ENDING`
  `"prepare-send-ending"`
  `public static final String`
  `PROTOCOL`
  `"protocol"`
  `public static final String`
  `READ`
  `"read"`
  `public static final String`
  `RECEIVE`
  `"receive"`
  `public static final String`
  `SEND`
  `"send"`
  `public static final String`
  `SEND_ENDING`
  `"send-ending"`
  `public static final String`
  `SETUP`
  `"setup"`
  `public static final String`
  `SETUP_ENDING`
  `"setup-ending"`
  `public static final String`
  `UNMARSHAL`
  `"unmarshal"`
  `public static final String`
  `USER_LOGICAL`
  `"user-logical"`
  `public static final String`
  `USER_LOGICAL_ENDING`
  `"user-logical-ending"`
  `public static final String`
  `USER_PROTOCOL`
  `"user-protocol"`
  `public static final String`
  `USER_PROTOCOL_ENDING`
  `"user-protocol-ending"`
  `public static final String`
  `USER_STREAM`
  `"user-stream"`
  `public static final String`
  `USER_STREAM_ENDING`
  `"user-stream-ending"`
  `public static final String`
  `WRITE`
  `"write"`
  `public static final String`
  `WRITE_ENDING`
  `"write-ending"`

- org.apache.cxf.staxutils.DocumentDepthProperties
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `INNER_ELEMENT_COUNT`
  `"depthInnerElementCountThreshold"`
  `public static final String`
  `INNER_ELEMENT_LEVEL`
  `"depthInnerElementLevelThreshold"`
  `public static final String`
  `TOTAL_ELEMENT_COUNT`
  `"depthTotalElementCountThreshold"`
- org.apache.cxf.staxutils.PropertiesExpandingStreamReader
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DELIMITER`
  `"@"`
- org.apache.cxf.staxutils.StaxUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ALLOW_INSECURE_PARSER`
  `"org.apache.cxf.stax.allowInsecureParser"`
  `public static final String`
  `MAX_ATTRIBUTE_COUNT`
  `"org.apache.cxf.stax.maxAttributeCount"`
  `public static final String`
  `MAX_ATTRIBUTE_SIZE`
  `"org.apache.cxf.stax.maxAttributeSize"`
  `public static final String`
  `MAX_CHILD_ELEMENTS`
  `"org.apache.cxf.stax.maxChildElements"`
  `public static final String`
  `MAX_ELEMENT_COUNT`
  `"org.apache.cxf.stax.maxElementCount"`
  `public static final String`
  `MAX_ELEMENT_DEPTH`
  `"org.apache.cxf.stax.maxElementDepth"`
  `public static final String`
  `MAX_TEXT_LENGTH`
  `"org.apache.cxf.stax.maxTextLength"`
  `public static final String`
  `MAX_XML_CHARACTERS`
  `"org.apache.cxf.stax.maxXMLCharacters"`
  `public static final String`
  `MIN_TEXT_SEGMENT`
  `"org.apache.cxf.stax.minTextSegment"`

- org.apache.cxf.transport.AbstractTransportFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PREFERRED_TRANSPORT_ID`
  `"org.apache.cxf.preferred.transport.id"`
- org.apache.cxf.transport.MultipleEndpointObserver
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ENDPOINTS`
  `"multipleEndpointObserver.endpoints"`

- org.apache.cxf.transport.common.gzip.GZIPOutInterceptor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SOAP_JMS_CONTENTENCODING`
  `"SOAPJMS_contentEncoding"`

- org.apache.cxf.workqueue.AutomaticWorkQueueImpl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PROPERTY_NAME`
  `"name"`

- org.apache.cxf.ws.addressing.EndpointReferenceUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ANONYMOUS_ADDRESS`
  `"http://www.w3.org/2005/08/addressing/anonymous"`
- org.apache.cxf.ws.addressing.JAXWSAConstants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ADDRESSING_PROPERTIES_INBOUND`
  `"jakarta.xml.ws.addressing.context.inbound"`
  `public static final String`
  `ADDRESSING_PROPERTIES_OUTBOUND`
  `"jakarta.xml.ws.addressing.context.outbound"`
  `public static final String`
  `CLIENT_ADDRESSING_PROPERTIES`
  `"jakarta.xml.ws.addressing.context"`
  `public static final String`
  `CLIENT_ADDRESSING_PROPERTIES_INBOUND`
  `"jakarta.xml.ws.addressing.context.inbound"`
  `public static final String`
  `CLIENT_ADDRESSING_PROPERTIES_OUTBOUND`
  `"jakarta.xml.ws.addressing.context.outbound"`
  `public static final String`
  `NS_WSA`
  `"http://www.w3.org/2005/08/addressing"`
  `public static final String`
  `NS_WSAM`
  `"http://www.w3.org/2007/05/addressing/metadata"`
  `public static final String`
  `NS_WSAW`
  `"http://www.w3.org/2006/05/addressing/wsdl"`
  `public static final String`
  `NS_WSDLI`
  `"http://www.w3.org/ns/wsdl-instance"`
  `public static final String`
  `SERVER_ADDRESSING_PROPERTIES_INBOUND`
  `"jakarta.xml.ws.addressing.context.inbound"`
  `public static final String`
  `SERVER_ADDRESSING_PROPERTIES_OUTBOUND`
  `"jakarta.xml.ws.addressing.context.outbound"`
  `public static final String`
  `WSA_ADDRESS_NAME`
  `"Address"`
  `public static final String`
  `WSA_ERF_NAME`
  `"EndpointReference"`
  `public static final String`
  `WSA_METADATA_NAME`
  `"Metadata"`
  `public static final String`
  `WSA_PREFIX`
  `"wsa"`
  `public static final String`
  `WSA_REFERENCEPARAMETERS_NAME`
  `"ReferenceParameters"`
  `public static final String`
  `WSA_XSD`
  `"http://www.w3.org/2006/03/addressing/ws-addr.xsd"`
  `public static final String`
  `WSAM_ENDPOINT_NAME`
  `"EndpointName"`
  `public static final String`
  `WSAM_INTERFACE_NAME`
  `"InterfaceName"`
  `public static final String`
  `WSAM_PREFIX`
  `"wsam"`
  `public static final String`
  `WSAM_SERVICENAME_NAME`
  `"ServiceName"`
  `public static final String`
  `WSAW_PREFIX`
  `"wsaw"`
  `public static final String`
  `WSDLI_PFX`
  `"wsdli"`
  `public static final String`
  `WSDLI_WSDLLOCATION`
  `"wsdlLocation"`
- org.apache.cxf.ws.addressing.Names
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ACTION_MISMATCH_NAME`
  `"ActionMismatch"`
  `public static final String`
  `ACTION_NOT_SUPPORTED_NAME`
  `"ActionNotSupported"`
  `public static final String`
  `DESTINATION_UNREACHABLE_NAME`
  `"DestinationUnreachable"`
  `public static final String`
  `DUPLICATE_MESSAGE_ID_NAME`
  `"DuplicateMessageID"`
  `public static final String`
  `ENDPOINT_UNAVAILABLE_NAME`
  `"EndpointUnavailable"`
  `public static final String`
  `HEADER_REQUIRED_NAME`
  `"MessageAddressingHeaderRequired"`
  `public static final String`
  `INVALID_CARDINALITY_NAME`
  `"InvalidCardinality"`
  `public static final String`
  `INVALID_MAP_NAME`
  `"InvalidMessageAddressingProperty"`
  `public static final String`
  `MAP_REQUIRED_NAME`
  `"MessageAddressingPropertyRequired"`
  `public static final String`
  `ONLY_ANONYMOUS_ADDRESS_SUPPORTED_NAME`
  `"OnlyAnonymousAddressSupported"`
  `public static final String`
  `ONLY_NONANONYMOUS_ADDRESS_SUPPORTED_NAME`
  `"OnlyNonAnonymousAddressSupported"`
  `public static final String`
  `WSA_ACTION_NAME`
  `"Action"`
  `public static final String`
  `WSA_ADDRESS_NAME`
  `"Address"`
  `public static final String`
  `WSA_ANONYMOUS_ADDRESS`
  `"http://www.w3.org/2005/08/addressing/anonymous"`
  `public static final String`
  `WSA_DEFAULT_FAULT_ACTION`
  `"http://www.w3.org/2005/08/addressing/fault"`
  `public static final String`
  `WSA_DEFAULT_SOAP_FAULT_ACTION`
  `"http://www.w3.org/2005/08/addressing/soap/fault"`
  `public static final String`
  `WSA_FAULT_DELIMITER`
  `"/fault"`
  `public static final String`
  `WSA_FAULTTO_NAME`
  `"FaultTo"`
  `public static final String`
  `WSA_FROM_NAME`
  `"From"`
  `public static final String`
  `WSA_IS_REFERENCE_PARAMETER_NAME`
  `"IsReferenceParameter"`
  `public static final String`
  `WSA_MESSAGEID_NAME`
  `"MessageID"`
  `public static final String`
  `WSA_METADATA_NAME`
  `"Metadata"`
  `public static final String`
  `WSA_NAMESPACE_NAME`
  `"http://www.w3.org/2005/08/addressing"`
  `public static final String`
  `WSA_NAMESPACE_PATTERN`
  `"/addressing"`
  `public static final String`
  `WSA_NAMESPACE_WSDL_METADATA`
  `"http://www.w3.org/2007/05/addressing/metadata"`
  `public static final String`
  `WSA_NAMESPACE_WSDL_NAME`
  `"http://www.w3.org/2006/05/addressing/wsdl"`
  `public static final String`
  `WSA_NAMESPACE_WSDL_NAME_OLD`
  `"http://www.w3.org/2005/02/addressing/wsdl"`
  `public static final String`
  `WSA_NONE_ADDRESS`
  `"http://www.w3.org/2005/08/addressing/none"`
  `public static final String`
  `WSA_REFERENCE_PARAMETERS_NAME`
  `"ReferenceParameters"`
  `public static final String`
  `WSA_RELATESTO_NAME`
  `"RelatesTo"`
  `public static final String`
  `WSA_RELATIONSHIP_DELIMITER`
  `"/"`
  `public static final String`
  `WSA_RELATIONSHIP_REPLY`
  `"http://www.w3.org/2005/08/addressing/reply"`
  `public static final String`
  `WSA_RELATIONSHIPTYPE_NAME`
  `"RelationshipType"`
  `public static final String`
  `WSA_REPLY_NAME`
  `"reply"`
  `public static final String`
  `WSA_REPLYTO_NAME`
  `"ReplyTo"`
  `public static final String`
  `WSA_TO_NAME`
  `"To"`
  `public static final String`
  `WSA_UNSPECIFIED_RELATIONSHIP`
  `"http://www.w3.org/2005/08/addressing/unspecified"`
  `public static final String`
  `WSAW_ACTION_NAME`
  `"Action"`
  `public static final String`
  `WSAW_USING_ADDRESSING_NAME`
  `"UsingAddressing"`
  `public static final String`
  `WSDL_INSTANCE_NAMESPACE_NAME`
  `"http://www.w3.org/2004/08/wsdl-instance"`
- org.apache.cxf.ws.addressing.VersionTransformer
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `NATIVE_VERSION`
  `"http://www.w3.org/2005/08/addressing"`
- org.apache.cxf.ws.addressing.VersionTransformer.Names200403
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `WSA_ANONYMOUS_ADDRESS`
  `"http://schemas.xmlsoap.org/ws/2004/03/addressing/role/anonymous"`
  `public static final String`
  `WSA_NAMESPACE_NAME`
  `"http://schemas.xmlsoap.org/ws/2004/03/addressing"`
  `public static final String`
  `WSA_NONE_ADDRESS`
  `"http://schemas.xmlsoap.org/ws/2004/03/addressing/role/none"`
- org.apache.cxf.ws.addressing.VersionTransformer.Names200408
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `WSA_ANONYMOUS_ADDRESS`
  `"http://schemas.xmlsoap.org/ws/2004/08/addressing/role/anonymous"`
  `public static final String`
  `WSA_NAMESPACE_NAME`
  `"http://schemas.xmlsoap.org/ws/2004/08/addressing"`
  `public static final String`
  `WSA_NONE_ADDRESS`
  `"http://schemas.xmlsoap.org/ws/2004/08/addressing/role/none"`
- org.apache.cxf.ws.addressing.WSAContextUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DECOUPLED_ENDPOINT_BASE_PROPERTY`
  `"org.apache.cxf.ws.addressing.decoupled.endpoint.base"`
  `public static final String`
  `REPLYTO_PROPERTY`
  `"org.apache.cxf.ws.addressing.replyto"`